<template>
  <div
    :class="[
      'no-game-message w-full my-[60px] py-4 overflow-hidden text-center truncate no-data text-ellipsis break-words',
      isMobile ? 'text-xl' : 'text-4xl',
    ]"
  >
    <slot>
      {{ $t("no_games_please_come_back_later") }}
    </slot>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const isMobile = !useIsDesktop();

    return {
      isMobile,
    };
  },
});
</script>
